Package ghidra.generic.util.datastruct

# Class TreeValueSortedMap.ValueListIterator

java.lang.Object
ghidra.generic.util.datastruct.TreeValueSortedMap.ValueListIterator

All Implemented Interfaces:
  `Iterator<V>`, `ListIterator<V>`

Enclosing class:
  TreeValueSortedMap<K,V>

protected class TreeValueSortedMap.ValueListIterator extends Object implements ListIterator<V>
An iterator of the values

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(V e)`
  `boolean`
  `hasNext()`
  `boolean`
  `hasPrevious()`
  `V`
  `next()`
  `int`
  `nextIndex()`
  `V`
  `previous()`
  `int`
  `previousIndex()`
  `void`
  `remove()`
  `void`
  `set(V e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Method Details

  - ### add

    public void add(V e)
    Specified by:
      `add` in interface `ListIterator<V>`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<V>`
    Specified by:
      `hasNext` in interface `ListIterator<V>`

  - ### hasPrevious

    public boolean hasPrevious()
    Specified by:
      `hasPrevious` in interface `ListIterator<V>`

  - ### next

    public V next()
    Specified by:
      `next` in interface `Iterator<V>`
    Specified by:
      `next` in interface `ListIterator<V>`

  - ### nextIndex

    public int nextIndex()
    Specified by:
      `nextIndex` in interface `ListIterator<V>`

  - ### previous

    public V previous()
    Specified by:
      `previous` in interface `ListIterator<V>`

  - ### previousIndex

    public int previousIndex()
    Specified by:
      `previousIndex` in interface `ListIterator<V>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<V>`
    Specified by:
      `remove` in interface `ListIterator<V>`

  - ### set

    public void set(V e)
    Specified by:
      `set` in interface `ListIterator<V>`